﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Facebook;
using System.Collections.Generic;

namespace FacebookDotNetModule
{
    public partial class Friends : System.Web.UI.Page
    {
        private string facebookName;

        public string FacebookAppID
        {
            get { return ConfigurationManager.AppSettings["179215595439315"]; }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            FacebookConnect fbConnect = new FacebookConnect();
            if (fbConnect.IsConnected)
            {
                Facebook.FacebookAPI api = new Facebook.FacebookAPI(fbConnect.AccessToken);
                JSONObject me = api.Get("/" + fbConnect.UserID);
                facebookName = me.Dictionary["name"].String;
                lblInfo.Text = "Hello " + facebookName + "<br>" + "<br>";

                JSONObject f = api.Get("/me/friends");
                KeyValuePair<String, JSONObject> friends = f.Dictionary.ElementAt(0);

                for (int i = 0; i < friends.Value.Array.Count(); i++)
                {
                    lblFriends.Text = lblFriends.Text + "Friend #" + i.ToString() + " | ";
                    JSONObject friend = api.Get("/" + friends.Value.Array[i].Dictionary["id"].String);
                    
                    lblFriends.Text = lblFriends.Text + friend.Dictionary["name"].String + ",  ";

                    lblFriends.Text = lblFriends.Text + friend.Dictionary["link"].String;
       
                    lblFriends.Text = lblFriends.Text + "<br>";
                }
            }
            else
                lblInfo.Text = "Please Login First!";
        }
    }
}