﻿using System;
using System.Web;
using System.Web.UI;
using Facebook;
using System.Configuration;
using System.Collections.Generic;

namespace FacebookDotNetModule
{
    public partial class PostFeedMessage : System.Web.UI.Page
    {
        private string facebookName;

        public string FacebookAppID
        {
            get { return ConfigurationManager.AppSettings["179215595439315"]; }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            FacebookConnect fbConnect = new FacebookConnect();
            if (fbConnect.IsConnected)
            {
                Facebook.FacebookAPI api = new Facebook.FacebookAPI(fbConnect.AccessToken);
                JSONObject me = api.Get("/" + fbConnect.UserID);
                facebookName = me.Dictionary["name"].String;
                lblName.Text = "Hello " + facebookName;
            }
            else
                lblName.Text = "Please Login First";
        }

        protected void btnSend_Click(object sender, EventArgs e)
        {
            FacebookConnect fbConnect = new FacebookConnect();
            if (fbConnect.IsConnected)
            {
                Facebook.FacebookAPI api = new Facebook.FacebookAPI(fbConnect.AccessToken);
                JSONObject me = api.Get("/" + fbConnect.UserID);

                Dictionary<string, string> postArgs = new Dictionary<string, string>();
                postArgs["message"] = txtMessage.Text.Trim();
                api.Post("/" + fbConnect.UserID + "/feed", postArgs);

                lblMesageResult.Text = "Posted a message to " + facebookName + "'s feed";
            }
            else
            {
                lblMesageResult.Text = "No message sent, unauthenticated facebook user";
            }
        }
    }
}

