﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using Facebook;
using System.Collections.Generic;

namespace FacebookDotNetModule
{
    public partial class Activities : System.Web.UI.Page
    {
        private string facebookName;

        public string FacebookAppID
        {
            get { return ConfigurationManager.AppSettings["179215595439315"]; }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            FacebookConnect fbConnect = new FacebookConnect();
            if (fbConnect.IsConnected)
            {
                Facebook.FacebookAPI api = new Facebook.FacebookAPI(fbConnect.AccessToken);
                JSONObject me = api.Get("/" + fbConnect.UserID);
                facebookName = me.Dictionary["name"].String;
            }
            else
                lblInfo.Text = "Please Login First!";
        }
    }
}