﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Facebook;
using System.Configuration;

namespace FacebookDotNetModule
{
    public partial class LoginAndLogout : System.Web.UI.Page
    {
        private string facebookName;

        public string FacebookAppID
        {
            get
            {
                return ConfigurationManager.AppSettings["179215595439315"];
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            FacebookConnect fbConnect = new FacebookConnect();
            if (fbConnect.IsConnected)
            {
                Facebook.FacebookAPI api = new Facebook.FacebookAPI(fbConnect.AccessToken);
                JSONObject me = api.Get("/" + fbConnect.UserID);
                facebookName = me.Dictionary["name"].String;
                lblName.Text = "Hello " + facebookName;
            }
        }
    }
}